;-----------------------------------------------------------;
;                                                           ;
; Invaded                                                   ;
; Data Tables, Strings, etc.                                ;
;                                                           ;
;-----------------------------------------------------------;

;------------------------------------------------
; Strings
;------------------------------------------------
strMenu:
.db     "By James Vernon",0
.db     "START GAME",0
.db     "LEVELSET",0
.db     "GAME SPEED",0
.db     "QUIT",0

speedTable:
.dw     strFast, strNormal, strSlow

strSlow:
.db     79,"SLOW",0

strNormal:
.db     71,"NORMAL",0

strFast:
.db     79,"FAST",0

strScore:
.db     " S: ",0

strBeam:
.db     " B:  ",0

strPaused:
.db     "Paused",0

strPreLevel:
.db     "LEVELSET:",0
.db     "HI-SCORE:",0
.db     "Level:",0
.db     "Lives:",0
.db     "Score:",0

strLevelComplete:
.db     "Level",0
.db     "Complete",0

strLevelsetComplete:
.db     "WELL DONE!   "
.db     "You",$27,"ve completed"
.db     " the Levelset!!",0

strGameOver:
.db     "GAME  OVER",0
.db     "Score:",0

strNewHiScore:
.db     "New Hi-Score!!",0

strSearch:
.db     "I0L_",0                                ; External levelset search string

strTileSearch:
.db     "I0T_"                                  ; First part of search string for a Tileset
strTileSearchInsert:
.db     "     ",0                               ; Copy the name of the Tileset here ;)

#ifdef TI83
tempFileName:
.db     5,"itmp",0                              ; Name for temp file on TI-83
#endif

;------------------------------------------------
; Other Miscellaneous Data
;------------------------------------------------
drawGuardianTable:
.db     0,0
.db     8,0
.db     0,8
.db     8,8

bulletStrengthTable:
.db     2,5,10,30,1,15,10,10,11,11

bulletSizeTable:
.db     8,2
.db     8,4
.db     8,6
.db     8,8
.db     8,2
.db     8,7
.db     8,4
.db     8,4
.db     8,5
.db     8,5

bulletCenterX:
.db     5,4,4,4,3,3,3,3,2,2

bulletCenterY:
.db     0,1,2,3,0,3,1,1,2,2

eBulletCenterX:
.db     0,3,3,1,3

eBulletCenterY:
.db     0,2,3,1,1

newEBulletXOffsetTable:
.db     3,0,0,2,0

newEBulletYOffsetTable:
.db     3,1,0,2,2

eBulletSizeTable:
.db     2,2
.db     8,6
.db     7,7
.db     4,4
.db     7,3

enemyPoints:
.dw     5,8,10,12,15,18,20,25,30

pixelTable:
.db     $01,$80,$40,$20,$10,$08,$04,$02,$01

orbBulletDirections:
.db     8,2,6,0

;------------------------------------------------
; Bullet direction table
;------------------------------------------------
;         11    12    8
;    10         |         7
;               |
;  9            |            6
;               |
;               |
;  14 ----------+---------- 15
;               |
;               |
;  3            |            0
;               |
;     4         |         1
;         5    13    2
;------------------------------------------------
bulletDirections:
.db     1,2     ; 0
.db     2,2     ; 1
.db     2,1     ; 2
.db     -2,1    ; 3
.db     -2,2    ; 4
.db     -1,2    ; 5
.db     2,-1    ; 6
.db     2,-2    ; 7
.db     1,-2    ; 8
.db     -1,-2   ; 9
.db     -2,-2   ; 10
.db     -2,-1   ; 11
.db     0,-2    ; 12
.db     0,2     ; 13
.db     -2,0    ; 14
.db     2,0     ; 15

;------------------------------------------------
; Table of pointers to all AI scripts
;------------------------------------------------
aiTable:
.dw     aiNone, aiZigZagLeft, aiHoverUpDown, aiNormalShoot, aiMoveLeft
.dw     aiPowerShootLeft, aiDownThenLeft, aiDiagonalUL, aiDiagonalUR, aiDiagonalDL
.dw     aiDiagonalDR, aiUpDownFollowPlayer, aiLeftWithLevel, ai3WayPowerball, aiRandomUpPowerball
.dw     aiShootThroughWalls, aiHoverHorizontallyFL, aiHoverHorizontallyFR, aiShootTwinLasers, aiFollowPlayer
.dw     aiMoveLeftFP, aiUpThenLeft, aiUpHoverDown, aiBigZigZagLeft

;------------------------------------------------
; Other data tables/constants used in various AI scripts
;------------------------------------------------
zigZagTable:
.db     -2,-2,-1,-1,0,1,1,2,2
.db     2,2,1,1,0,-1,-1,-2,-2
ZIGZAGMAX               = $-zigZagTable

hoverUpDownTable:
.db     -1,-1,-1,-1,-1,0,0,0,0,0,0,0,0,0
.db     1,1,1,1,1,1,1,1,1,1
.db     0,0,0,0,0,0,0,0,0,-1,-1,-1,-1,-1
HOVERUPDOWNMAX          = $-hoverUpDownTable

downThenLeftTable:
.db     1,1,1,1,1,1,1,1
.db     1,1,1,1,1,1,1,1
.db     1,1,1,1,1,1,1,1
.db     1,1,1,1,1,1,1
DOWNLEFTMAX             = $-downThenLeftTable
DOWNLEFTMOVELEFT        = ($-downThenLeftTable)-11

upThenLeftTable:
.db     1,1,1,1,1,1,1,1
.db     1,1,1,1,1,1,1,1
.db     1,1,1,1,1,1,1,1
.db     1,1,1,1,1,1,1
UPLEFTMAX               = $-upThenLeftTable
UPLEFTMOVELEFT          = ($-upThenLeftTable)-11

.end
